Public Member Functions | Public Attributes | List of all members
ClarisWksDatabaseInternal::State Struct Reference

Internal: the state of a ClarisWksDatabase. More...

## Public Member Functions
| State ()
| constructor More...

## Public Attributes
std::map< int, shared_ptr< Database > > | m_databaseMap

## Detailed Description

Internal: the state of a ClarisWksDatabase.

## Constructor & Destructor Documentation

## ◆ State()

ClarisWksDatabaseInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_databaseMap

std::map<int, shared_ptr<Database> > ClarisWksDatabaseInternal::State::m_databaseMap

The documentation for this struct was generated from the following file:

- ClarisWksDatabase.cxx